# $Id: e-smith-pop3.spec,v 1.3 2018/03/27 15:51:07 jpp Exp $

Summary: startup scripts for pop3 package
%define name smeserver-pop3
Name: %{name}
%define version 2.6.0
%define release 6
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.xz
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildRequires: e-smith-devtools >= 1.13.0-04
BuildArchitectures: noarch
Requires: e-smith-email
Requires: runit
Requires: qmail
Requires: checkpassword-pam
Requires: stunnel
Obsoletes: e-smith-ssl-popd
Obsoletes: checkpassword
AutoReqProv: no

%changelog
* Thu Apr 04 2024 Brian Read <brianr@koozali.org> 2.6.0-6.sme
- Set license file to GPL2.0  [SME: 12577]

* Mon Mar 11 2024 rename-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 2.6.0-5.sme
- Rename to smeserver-pop3 [SME: 12359]

* Wed Jul 12 2023 cvs2git.sh aka Brian Read <brianr@koozali.org> 2.6.0-4.sme
- Roll up patches and move to git repo [SME: 12338]

* Wed Jul 12 2023 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.
  Wed Aug 10 2001 --> Wed Aug 08 2001 or Fri Aug 10 2001 or Wed Aug 15 2001 or ....

* Tue Mar 27 2018 Jean-Philipe Pialasse <tests@pialasse.com> 2.6.0-3.sme
- fix undefined fqdn for pop3 [SME: 10257]

* Thu May 4 2017 Daniel Berteaud <daniel@firewall-services.com> 2.6.0-2.sme
- Honor ConcurrencyLimit and ConcurrencyLimitPerIP prop for pop3 and pop3s
  [SME: 10271]

* Fri Feb 05 2016 stephane de Labrusse <stephdl@de-labrusse.fr> 2.6.0-1.sme
- Initial release to sme10

* Sun Jan 17 2016 Daniel Berteaud <daniel@firewall-services.com> 2.4.0-6.sme
- Hook into a new ssl-update event [SME: 9152]

* Thu Jan 7 2016 Daniel Berteaud <daniel@firewall-services.com> 2.4.0-5.sme
- Allow setting SSL protocols from DB (and set TLSv1 back to enabled
  on a default install) [SME: 9175]

* Wed Jan 6 2016 Daniel Berteaud <daniel@firewall-services.com> 2.4.0-4.sme
- Disable TLSv1 [SME: 9169]

* Fri Dec 19 2014 Daniel Berteaud <daniel@firewall-services.com> 2.4.0-3.sme
- Disable fips mode on stunnel [SME: 8733]

* Thu Dec 4 2014 Daniel Berteaud <daniel@firewall-services.com> 2.4.0-2.sme
- Use stunnel instead of sslio to support TLS [SME: 8716]

* Thu Feb  7 2013 Shad L. Lords <slords@mail.com> 2.4.0-1.sme
- Roll new stream for sme9

* Fri Jul 06 2012 Ian Wells <esmith@wellsi.com> 2.2.0-6.sme
- Easier to read version of softlimit patch [SME: 6994]

* Thu Jul 05 2012 Ian Wells <esmith@wellsi.com> 2.2.0-5.sme
- More robust version of softlimit patch [SME: 6994]

* Mon Jul 02 2012 Ian Wells <esmith@wellsi.com> 2.2.0-4.sme
- Softlimit is now a database variable for pop3 and pop3s [SME: 6994]

* Wed Sep 22 2010 Daniel Berteaud <daniel@firewall-services.com> 2.2.0-3.sme
- Add symlink for template-begin of pop3 pam config [SME: 6218]

* Wed Sep 22 2010 Daniel Berteaud <daniel@firewall-services.com> 2.2.0-2.sme
- Shift auth from passwd/shadow files to the pam database [SME: 6218]

* Tue Oct 7 2008 Shad L. Lords <slords@mail.com> 2.2.0-1.sme
- Roll new stream to separate sme7/sme8 trees [SME: 4633]

* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Thu Dec 07 2006 Shad L. Lords <slords@mail.com>
- Update to new release naming.  No functional changes.
- Make Packager generic

* Fri Mar 24 2006 Charlie Brady <charlie_brady@mitel.com> 1.2.0-02
- Ensure that pop3 and pop3s are started or stopped if required,
  during email-update event. [SME: 1125]

* Wed Mar 15 2006 Charlie Brady <charlie_brady@mitel.com> 1.2.0-01
- Roll stable stream version. [SME: 1016]

* Mon Mar 13 2006 Gordon Rowell <gordonr@gormand.com.au> 1.1.0-04
- Move pop3[s] defaults from e-smith-email [SME: 561]

* Wed Nov 30 2005 Gordon Rowell <gordonr@gormand.com.au> 1.1.0-03
- Bump release number only

* Thu Sep 15 2005 Charlie Brady <charlieb@e-smith.com>
- [1.1.0-02]
- Fix port name pop->pop3 (to match change in /etc/services).
  [SF: 1291836]

* Fri Aug 10 2001 Shad L. Lords <slords@mail.com>
  Wed Aug 10 2001 --> Wed Aug 08 2001 or Fri Aug 10 2001 or Wed Aug 15 2001 or ....
- [1.1.0-01]
- initial release (split from e-smith-email-4.15.2-27).

Provides: e-smith-pop3
%description
Startup scripts for pop3 package.

%prep
%setup

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-%{release}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    --dir /var/log/pop3 'attr(0750,smelog,smelog)' \
    --dir /var/service/pop3 'attr(01755,root,root)' \
    --dir /var/service/pop3/control 'attr(01755,root,root)' \
    --file /var/service/pop3/control/1 'attr(0750,root,root)' \
    --file /var/service/pop3s/run 'attr(0750,root,root)' \
    --file /var/service/pop3s/log/run 'attr(0750,root,root)' \
    --dir '/var/log/pop3s' 'attr(2750,smelog,smelog)' \
    --file /var/service/pop3/run 'attr(0750,root,root)' \
    --file /var/service/pop3/log/run 'attr(0750,root,root)' \
    > %{name}-%{version}-%{release}-filelist
echo "%doc COPYING" >> %{name}-%{version}-%{release}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%preun
%post
%postun

%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root)
